/** When your routing table is too long, you can split it into small modules **/

import Layout from '@/layout'

export default {
  path: '/system',
  component: Layout,
  name: 'System',
  meta: {
    title: 'top_bar.system',
    icon: ''
  },
  children: [
    {
      path: 'power',
      component: () => import('@/views/system/power/index'),
      name: 'Power',
      meta: {
        title: 'slider_authority.authority.index',
        icon: 'power'
      },
      children: [
        {
          path: 'power-manage',
          component: () => import('@/views/system/power/power-manage'),
          name: 'Power-manage',
          meta: { title: 'slider_authority.authority.authority_manage.index' },
          children: [
            {
              path: 'member-manage',
              component: () => import('@/views/system/power/power-manage/member-manage'),
              name: 'System-Member-manage',
              meta: { title: 'slider_authority.authority.authority_manage.member' }
            },
            {
              path: 'role-manage',
              component: () => import('@/views/system/power/power-manage/role-manage'),
              name: 'Role-manage',
              meta: { title: 'slider_authority.authority.authority_manage.role' }
            },
            {
              path: 'department-manage',
              component: () => import('@/views/system/power/power-manage/department-manage'),
              name: 'Department-manage',
              meta: { title: 'slider_authority.authority.authority_manage.department' }
            },
          ]
        },
        
      ]
    },
  ]
}
